Subject: [TLS] New Liaison Statement, "Response to "Request to reserve TLS extension type for ITU-T draft Recommendation X.tsm-1""

From: Pasi Eronen (IETF TLS WG) <[email-masked]>
Date: Fri, 11 May 2007 11:20:32 -0400

Title: Response to "Request to reserve TLS extension type for ITU-T draft Recommendation X.tsm-1"
Submission Date: 2007-05-11
URL of the IETF Web page: https://datatracker.ietf.org/public/liaison_detail.cgi?detail_id=328 

From: Pasi Eronen(IETF TLS WG) <[email-masked]>
To: ITU-T SG 17([email-masked], [email-masked], [email-masked])
Cc: [email-masked]
[email-masked]
[email-masked]
[email-masked]
[email-masked]
Reponse Contact: 
Technical Contact: 
Purpose: In response 
Body: I have understood that Yoshiaiki Isobe contacted Harald Alvestrand
and Thomas Narten about this topic in December 2006; at that time,
Harald provided advice similar to the following.

RFC 4366 Section 5 defines the procedures for assigning a new TLS
extension type.  TLS extension types are assigned to
Internet-Drafts that have been approved by the IESG.

So, you need to publish your extension as an Internet-Draft and
seek review of your draft.  Once you have built a sufficient
consensus behind your draft, you can propose that your draft be
adopted by the TLS working group or published as an Area Director
(AD) sponsored submission.  Sections 3.2 and 4 of RFC 4775 provide
more details on the procedures for an SDO working with the IETF to
extend an IETF protocol in this way.  Note that because of the
requirements of RFC 4366, only the first option discussed in
Section 4 is available in this instance.

The TLS working group chairs and security ADs will be happy to
answer any process questions you may have as you attempt to build
consensus behind your draft.

Best regards,
Pasi Eronen
TLS working group co-chair
Attachment(s):
No document has been attached

_______________________________________________
TLS mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/tls

---

From: Stefan Santesson <[email-masked]>
Date: Tue, 15 May 2007 16:35:42 +0100

Coming back on the issue of GSS-TLS related to the proposed draft http://www.ietf.org/internet-drafts/draft-santesson-tls-gssapi-01.txt

I have not been active on this discussion largely because of the great amount of feedback I have received.
It was obvious to me after last IETF that we had more or less a deadlock on this draft.

Several of the proposals of this draft seems to be totally unacceptable to some members of this list.
On the other hand, none of the alternative proposals provide the functionality that we set out to solve.

This discussion has therefore triggered a period of reconsideration. Before I go any further to take on the hard task to try to get wide acceptance I need to be sure that the proposed draft represent the absolute preferred solution to the problem. Today I'm not sure. At least not to the degree where I'm ready to push for any specific solution.

Until that time comes, if it comes, I will simply take a step back and let the current draft expire.
I will be happy to participate in any discussion, but I will not at this moment try to push for any specific solution to this complex problem.

Stefan Santesson
Senior Program Manager
Windows Security, Standards